System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IPolicyImportExtension

indigo1 uses this class to import reliable session binding elements to binding policy assertions in metadata. This class takes the reliable session binding elements and writes custom policy assertions into the WSDL file when on the service. On the client, it looks for those assertions and inserts a corresponding binding element back into the client binding. Note that the presence of a reliable session in a binding is rendered as the reliable message assertion described in the WS-Reliable Messaging Policy specification.

crabout exchanging policy assertions between bindings to WSDL information see the and interfaces:

Implement the interface to search WSDL information exposed by a particular endpoint for custom policy assertions about endpoint capabilities or requirements.

Implement the interface on a object to write statements about endpoint capabilities or requirements into the WSDL information exposed by a particular endpoint.

Maps reliable session binding elements to and from representations of their corresponding policy assertions in metadata. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` ``

  Implements the method.

  Converts WS-Reliable Message policy assertions into the reliable session binding elements in a binding on the client.

  The that imports the WSDL metadata into the binding element. The for the service endpoint that contains the binding policy assertions that must be converted into binding elements.